DOMDeserializer.NodeDeserializer
Date: 2016-12-04

com.fasterxml.jackson.databind.ext

## Class DOMDeserializer.NodeDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<T>
        - - com.fasterxml.jackson.databind.ext.DOMDeserializer<org.w3c.dom.Node>
          - - com.fasterxml.jackson.databind.ext.DOMDeserializer.NodeDeserializer

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    DOMDeserializer<T>

      public static class DOMDeserializer.NodeDeserializer
      extends DOMDeserializer<org.w3c.dom.Node>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ext.DOMDeserializer

      `DOMDeserializer.DocumentDeserializer, DOMDeserializer.NodeDeserializer`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `FromStringDeserializer.Std`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMDeserializer.NodeDeserializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Node` | `_deserialize(java.lang.String value, DeserializationContext ctxt)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ext.DOMDeserializer

      `documentBuilder, parse`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `_deserializeEmbedded, _deserializeFromEmptyString, deserialize, findDeserializer, types`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

      `deserializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_coerceIntegral, _deserializeFromEmpty, _failDoubleToIntCoercion, _hasTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromInt, _parseBooleanFromOther, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, getValueClass, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMDeserializer.NodeDeserializer

          public DOMDeserializer.NodeDeserializer()

  - ### Method Detail

    - #### _deserialize

          public org.w3c.dom.Node _deserialize(java.lang.String value,
                                      DeserializationContext ctxt)
                                        throws java.lang.IllegalArgumentException

      Specified by:
        `_deserialize` in class `DOMDeserializer<org.w3c.dom.Node>`
      Throws:
        `java.lang.IllegalArgumentException`